Bug 161239 - graphics/pgplot fails to build w/gcc46
Summary: graphics/pgplot fails to build w/gcc46
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-02 17:10 UTC by R. Vestergaard
Modified: 2011-12-09 13:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description R. Vestergaard 2011-10-02 17:10:09 UTC
It seems like gfortran46 wants to use the gcc45 libs for building. That's not right, is it?

[...]
gcc46 -fpic -DPIC -O2 -pipe -Wl,-rpath=/usr/local/lib/gcc46 -fno-strict-aliasing  -DPG_PPU -std=gnu99 -fstack-protector  -c cpgtick.c -o cpgtick.So
building shared library libcpgplot.so.5
make -f Makefile.bin LOCALBASE="/usr/local"
gfortran46 -o pgpack fonts/pgpack.f
./pgpack <fonts/grfont.txt
/libexec/ld-elf.so.1: /usr/local/lib/gcc45/libgfortran.so.3: version GFORTRAN_1.4 required by /extra/ports/work/usr/ports/graphics/pgplot/work/pgplot/pgpack not found
*** Error code 1

How-To-Repeat: cd /usr/ports/graphics/pgplot; make
Comment 1 Michael Scheidell freebsd_committer 2011-12-03 22:04:56 UTC
State Changed
From-To: open->closed

not sure how this could be a 'maintainer-update' since this does not have the maintainers patch. 
closed.  if you are the maintainer, include a patch. 
If you are not the maintainer, then you cannot submit a 'maintainer-update'
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2011-12-03 22:18:29 UTC
State Changed
From-To: closed->open

Re-open; was labeled 'maintainer update' in error. 


Comment 3 Mark Linimon freebsd_committer freebsd_triage 2011-12-03 22:18:29 UTC
Class Changed
From-To: maintainer-update->sw-bug
Comment 4 b. f. 2011-12-04 09:50:01 UTC
Patch the port so that it respects FFLAGS, which should include the
-rpath additions from ports/Mk/bsd.gcc.mk.

b.
Comment 5 Chris Rees freebsd_committer 2011-12-04 10:25:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

bf
Comment 6 dfilter service freebsd_committer 2011-12-06 11:52:07 UTC
bf          2011-12-06 11:51:58 UTC

  FreeBSD ports repository

  Modified files:
    graphics/pgplot      Makefile pkg-plist 
    graphics/pgplot/files Makefile.bin Makefile.clib Makefile.demo 
                          Makefile.doc Makefile.flib 
  Removed files:
    graphics/pgplot/files Makefile xf77 
    graphics/pgplot/scripts configure 
  Log:
  remove the custom compiler driver which hasn't been used in nearly 13 years;
  merge scripts/configure and files/Makefile into the port Makefile; replace
  a construct that has been deprecated in libpng; respect {C,F,LD}FLAGS [1],
  NOPORT{DATA,DOCS,EXAMPLES}, etc.; clean up files/Makefile*; add a test target;
  adopt
  
  PR:             161239
  Feature safe:   yes
  
  Revision  Changes    Path
  1.34      +68 -7     ports/graphics/pgplot/Makefile
  1.6       +0 -15     ports/graphics/pgplot/files/Makefile (dead)
  1.5       +14 -11    ports/graphics/pgplot/files/Makefile.bin
  1.4       +45 -28    ports/graphics/pgplot/files/Makefile.clib
  1.8       +40 -22    ports/graphics/pgplot/files/Makefile.demo
  1.3       +29 -8     ports/graphics/pgplot/files/Makefile.doc
  1.9       +52 -16    ports/graphics/pgplot/files/Makefile.flib
  1.4       +0 -71     ports/graphics/pgplot/files/xf77 (dead)
  1.8       +0 -27     ports/graphics/pgplot/pkg-plist
  1.2       +0 -11     ports/graphics/pgplot/scripts/configure (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 b. f. 2011-12-06 12:05:55 UTC
I have made changes that should fix this problem: please let us know
if you observe the problem with the latest version of the port
(pgplot-5.2.2_10).

Regards,
          b.
Comment 8 Brendan Fabeny freebsd_committer 2011-12-09 13:10:47 UTC
State Changed
From-To: open->closed

Problem is thought to be solved with pgplot 5.2.2_10.